import 'package:dio/dio.dart';
import '../model/school_model.dart';

class RemoteSchool{
  Future<SchoolModel?> getSchoolModel() async{
    var dio = Dio();
    String url = ("https://imes-api.myitsol.com/api/v1/public/search-courses?gradeId=676f1137-3f22-4260-ac50-f4862d169ecf");
    var response = await dio.get(url);
    if(response.statusCode == 200){
      var json = response.data;
      return SchoolModel.fromJson(json);
    }
    return null;
  }
}